Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
votanphu

CÁC BÁC VÀO XEM VÀ SỬA DÙM EM CÁI LÍP LÁY TỌA ĐỘ MÌNH DANG RẤT CẦN

Các bài được khuyến nghị

;Mình chỉ viết dạng ngắn nhất. Bạn có thời gian chỉnh sửa thêm cho hoàn thiện.

;

(defun C:ltd0 ()

(setvar "cmdecho" 0 )(setvar "Osmode" 1 )

(command "Undo" "Be")

(setq itt 1 diemP (getpoint (strcat "\nCho diem " (itoa itt)))

ds1 '()

)

(While diemP

(setq ten (getstring "\nCho ten diem: " )

ds1 (append ds1 (list (List ten diemP)))

itt (1+ itt)

diemP (getpoint diemP (strcat "\nCho diem " (itoa itt)))

)

)

(setvar "Osmode" 0)

(setq d0 (getpoint "\nCho diem ghi: ") itt 1)

(Foreach pt ds1

(command "text" d0 "" "0" (itoa itt))

(command "text" (polar d0 0 3) "" "0" (car pt))

(command "text" (polar d0 0 7) "" "0" (rtos (car (cadr pt)) 2 4))

(command "text" (polar d0 0 20) "" "0" (rtos (cadr (cadr pt)) 2 4))

(setq itt (1+ itt) D0 (Polar D0 (/ 3.14159 2) -5))

)

(command "Undo" "e")

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×